Last Comment Bug 641312 - Reorder menus to promote tabs more after landing of bug 505311
: Reorder menus to promote tabs more after landing of bug 505311
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.1b3
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on: 322736 505311
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-13 05:46 PDT by Sven Grull
Modified: 2011-03-16 13:43 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (3.31 KB, patch)
2011-03-13 06:13 PDT, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review-
neil: superreview+
neil: ui‑review+
Details | Diff | Splinter Review
patch v1a (5.95 KB, patch)
2011-03-14 13:29 PDT, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review+
jh: superreview+
jh: ui‑review+
Details | Diff | Splinter Review
patch v1b [Checkin: comment 8] (10.80 KB, patch)
2011-03-15 14:31 PDT, Jens Hatlak (:InvisibleSmiley)
jh: review+
jh: superreview+
jh: ui‑review+
Details | Diff | Splinter Review

Description Sven Grull 2011-03-13 05:46:50 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0b13pre) Gecko/20110309 Firefox/4.0b13pre SeaMonkey/2.1b3pre
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0b13pre) Gecko/20110309 Firefox/4.0b13pre SeaMonkey/2.1b3pre

The context menus should be changed after landing of bug 505311 according to Firefox bug 322736 to have "Open Link in New Tab" above "Open Link in New Window".
This was already mentioned in https://bugzilla.mozilla.org/show_bug.cgi?id=505311#c3 but discussion never happened.

Reproducible: Always
Comment 1 Jens Hatlak (:InvisibleSmiley) 2011-03-13 06:01:45 PDT
Confirming RFE.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-03-13 06:13:25 PDT
Created attachment 519004 [details] [diff] [review]
patch
Comment 3 Karsten Düsterloh 2011-03-13 17:40:07 PDT
Comment on attachment 519004 [details] [diff] [review]
patch

You covered browser and mail message body, but you missed mail folder and mail thread pane context, making mail menu order inconsistent.
Comment 4 Philip Chee 2011-03-14 08:16:11 PDT
There is a Thunderbird bug to reorder their context menu. Perhaps you should spin off the Mailnews changes to another bug?
Comment 5 Jens Hatlak (:InvisibleSmiley) 2011-03-14 13:29:35 PDT
Created attachment 519223 [details] [diff] [review]
patch v1a

(In reply to comment #3)
> You covered browser and mail message body, but you missed mail folder and mail
> thread pane context, making mail menu order inconsistent.

Good catch, TUVM!

(In reply to comment #4)
> There is a Thunderbird bug to reorder their context menu. Perhaps you should
> spin off the Mailnews changes to another bug?

I see absolutely no point at all in doing that.
Comment 6 Karsten Düsterloh 2011-03-14 16:33:03 PDT
Comment on attachment 519223 [details] [diff] [review]
patch v1a

Looks good so far, thus I'm plussing this one.
There are, however, more items missed:
- history window context
- history sidebar context
- bookmarks window context (single bookmark)
- bookmarks sidebar context (single bookmark)
and maybe others.
You should probably look out for menu text/items more generally.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2011-03-15 14:31:44 PDT
Created attachment 519512 [details] [diff] [review]
patch v1b [Checkin: comment 8]

Thanks Karsten. I really should have checked thoroughly myself in the first place. Searched for "New Window" now:

cmd.open_window.label
common/bookmarks/placesOverlay.xul
common/history/placesOverlay.xul
> Done now.

openLinkCmd.label
common/contentAreaContextOverlay.xul
mailnews/mailWindowOverlay.xul
> Already done previously.

openFrameCmd.label
common/contentAreaContextOverlay.xul
> Done now.

newWinPageMenu.label
common/pref/pref-navigator.xul
> Window before Tab, but not really related -> leaving as is.

openFeedWebPageInWindow.label
mailnews/mailWindowOverlay.xul
> No tab option here.

openFeedSummaryInWindow.label
mailnews/mailWindowOverlay.xul
> No tab option here.

contextOpenNewWindow.label
mailnews/mailWindowOverlay.xul
> Already done previously.


Since I addressed all your findings now and pretty much ruled out that I missed anything I'll carry the flags forward and check in right away.
Comment 8 Jens Hatlak (:InvisibleSmiley) 2011-03-15 14:35:37 PDT
Comment on attachment 519512 [details] [diff] [review]
patch v1b [Checkin: comment 8]

http://hg.mozilla.org/comm-central/rev/a70e18e2ce57
Comment 9 Serge Gautherie (:sgautherie) 2011-03-16 07:31:47 PDT
http://hg.mozilla.org/comm-central/rev/c49e94c95321
(Bv1) Update test_contextmenu.html too.
(rs=bustage-fix).
Comment 10 Serge Gautherie (:sgautherie) 2011-03-16 13:43:53 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1300300344.1300302684.19766.gz
WINNT 5.2 comm-central-trunk debug test mochitests-5/5 on 2011/03/16 11:32:24

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.